"FILE"="Xteq Systems X-Setup Plugin 5.0"
"TYPE"="4"
"COUNT"="4"
"UIPATH"="Program Options\Other Programs\1st Page"
"NAME"="Open Dioalog Favorites"
"VERSION"="1.01"
"LANGUAGE"="VBScript"
"TEXT 1"="1) Favorite 1:"
"TEXT 2"="2) Favorite 2:"
"TEXT 3"="3) Favorite 3:"
"TEXT 4"="4) Favorite 4:"
"DESCRIPTION 1"="This plug-in can be used to delete and modify the Favorites of 1st Page 2000."
"DESCRIPTION 2"="Just enter the Folder Path of the folder you want to include in the favorites section."
"DESCRIPTION 3"="To remove the command again, clear both the fields and press "Apply"."
"DESCRIPTION 5"="Bug Notice : Please only delete the last coloum because any other deleting wont work. If you want to delete any other value, copy it to the last coloum and the last one to the other coloum and delete the last one."
"DESCRIPTION 4"="Note : You would need the software 1st Page 2000 from Evsoft(http://www.evsoft.com)"
"AUTHOR"="Binny V Abraham"
"CONTACTURL"="http://www.geocities.com/binnyva"
"COPYRIGHT"="Copyright  Binny's Softwares - All Rights Reserved"
"COMMENT 1"="This is to make mor functionality for the software 1st Page 2000 from Evsoft(http://www.evsoft.com) which is the best HTML Editor I have ever seen."

sPath = "HKEY_CURRENT_USER\Software\Evrsoft\1st Page\Directory Favorites\"

Sub Plugin_Initialize
  s=RegReadValue(sPath & "0")
  SetUIElement 1,s

  s=RegReadValue(sPath & "1")
  SetUIElement 2,s

  s=RegReadValue(sPath & "2")
  SetUIElement 3,s

  s=RegReadValue(sPath & "3")
  SetUIElement 4,s
End Sub

Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 s1=GetUIElement(1)
  Call Apply(s1,"0")

 s1=GetUIElement(2)
  Call Apply(s1,"1")

 s1=GetUIElement(3)
  Call Apply(s1,"2") 
 
 s1=GetUIElement(4)
  Call Apply(s1,"3")
End Sub

Sub Apply(Value,No)
 if len(Value)>0 then					' If there is any text in the text field
  prevVal = RegReadValue(sPath & No)
  if len(prevVal)>0 then				'1) Create. If the directory is modified this will happen. Else the count must be incremented.
   Call RegWriteValue(sPath & No,Value,1)
  else							'2) Modify. To modify an existing value
   cnt = RegReadValue(sPath & "count")
   cnt = cnt + 1
   Call RegWriteValue(sPath & "count",cnt,2)
   Call RegWriteValue(sPath & No,Value,1)  
  end if
 else							'3) Delete. If the value is empty the Value is deleted.
  sCur = sPath & No
  if RegValueExists(sCur) then				' If the Reg value has a directory in it
   cnt = RegReadValue(sPath & "count")
   cnt = cnt - 1
   Call RegWriteValue(sPath & "count",cnt,2)
   sToDel = sPath & cnt
   last = RegReadValue(sToDel)
   Call RegWriteValue(sCur,last,1)
   if RegValueExists(sToDel) then
    Call DebugMsg("sToDel:" & sToDel & "    last:" & last)
    Call RegDeleteValue(sToDel)
   else
    Call DebugMsg("Sorry. No Deal!")
   end if
  end if
 end if
End Sub

Sub Plugin_Terminate 
End Sub
'Call MsgInformation("The thing is being done " & cnt)